##############################################
# 2015-09-05 galculator 2.1.4 released       #
##############################################

2015-09-05 Simon Flöry <simon.floery@rechenraum.com>
	* adding a fresh "tx pull" of translations (thanks to all translators!)
	* adding an appdata file (thanks to Alexander)

2014-05-17 Simon Flöry <simon.floery@rechenraum.com>
	* in ui.c::set_all_dispctrl_buttons_property check for table_children != NULL
		(fixes sf.net bug #107, thanks to Chris LaFleur for reporting)
	* *.c: all dynamic memory allocation and free'ing is done via glib now.
	* Changed default background color for the display to white. 

2014-05-07 Simon Flöry <simon.floery@rechenraum.com>
	* In callbacks.c and general_functions.c, team up every 
		gtk_check_menu_item_set_active with a gtk_check_menu_item_toggled. See
		also 2014-01-08 and sf.net bug #99.
		(fixes sf.net bug #105, thanks to Don for reporting)

2014-03-20 Simon Flöry <simon.floery@rechenraum.com>
	* translations are now served through transifex (thanks to the MATE project,
		in particular to Stefano and Martin)
	* adding a fresh "tx pull" of translations (thanks to all translators!)
		
2014-03-16 Simon Flöry <simon.floery@rechenraum.com>
	* set_basic_object_data/set_scientific_object_data make structs static 
		(fixes sf.net bug #104, thanks to Campbell Barton for reporting)

##############################################
# 2013-03-13 galculator 2.1.3 released       #
##############################################

2014-03-07 Simon Flöry <simon.floery@rechenraum.com>
	* Added Spanish tranlsation (thanks to jcsl, sf.net patch #8)

2014-02-19 Simon Flöry <simon.floery@rechenraum.com>
	* Fixed segfault introduced in r134

2014-01-13 Simon Flöry <simon.floery@rechenraum.com>
	* Updated Turkish translations (thanks to Volkan, fixes sf.net #103)

2014-01-08 Simon Flöry <simon.floery@rechenraum.com>
	* Fixing result string corruption when toggling sign (thanks to Juha 
		Kylliäinen for reporting)
	* Emitting signal in apply_preferences so that menu gets hidden after a 
		restart again (closes sf.net #99)

2013-09-01 Simon Flöry <simon.floery@rechenraum.com>
	* added Hungarian translation (thanks to Zoltan)

2013-08-14 Simon Flöry <simon.floery@rechenraum.com>
	* rpn_stack_list when pasting (fixes sf.net #98, thanks to  Don Allen for
		reporting).

##############################################
# 2013-04-28 galculator 2.1.2 released       #
##############################################

2013-04-28 Simon Flöry <simon.floery@rechenraum.com>
	* Changed encoding of ro.po and pt_BR.po to UTF-8
	* adapted po files to new ui file structure
	* updated German translations

##############################################
# 2013-04-27 galculator 2.1.1 released       #
##############################################

2013-03-14 Simon Flöry <simon.floery@rechenraum.com>
	* Added Lithuanian translation (thanks to gymka, closes sf.net #94)

2013-02-17 Simon Flöry <simon.floery@rechenraum.com>
	* Creating GTK3 versions of all ui glade files that have GtkTable, which is
		deprecated in GTK3 (fixes sf.net #93)
	* Having non-recursive variant of factorial with correct upper bound checking
		depending on double or quad precision (sf.net patch #6 by t.sonntig)

2013-02-14 Simon Flöry <simon.floery@rechenraum.com>
	* g_real.h - Introducing USE_LIBQUADMATH only when we compile with gcc 
		(fixes sf.net #92).
	* display.c - In display_result_feed, allow pasting of e/E in hex mode

##############################################
# 2013-02-11 galculator 2.1 released         #
##############################################

2013-02-11 Simon Flöry <simon.floery@rechenraum.com>
	* display_change_option - In case of switching from dec to hex/bin/oct, we 
		apply floor function to display values (otherwise, 8.5 -> HEX -> *2 
		gives 17).
	* prefs.ui - Correct wrong name of prefs_hex_signed

2013-01-26 Simon Flöry <simon.floery@rechenraum.com>
	* fallback to default separator if a separator equals the decimal point
		(thanks to Jan Korbel and Dmitry Smirnov for tracking this down)
	* Convert quad-precision floating point numbers properly to strings 

2013-01-06 Simon Flöry <simon.floery@rechenraum.com>
	* configure.in: replaced AM_CONFIG_HEADER by AC_CONFIG_HEADER (thanks to
		John Williams)

2013-01-05 Simon Flöry <simon.floery@rechenraum.com>
	* applied patch by John Williams to support libquadmath (quad-precision
		floating point and up to 112-bit integer arithmetic)
		
2013-01-02 Simon Flöry <simon.floery@rechenraum.com>
	* fixed left shift / right shift in formula entry mode (thanks to Thure 
		Dührsen for reporting, closes sf.net #81)
	* changed default background color
	* left / right shift returns integers only now by truncating (closes sf.net 
		#82)
		
2012-12-26 Simon Flöry <simon.floery@rechenraum.com>
	* add Turkish translation (thanks to Oğuz Yarımtepe and all others for
		contributing, fixes sf.net #86)

##############################################
# 2012-10-15 galculator 2.0.1 released       #
##############################################

2012-12-15 Simon Flöry <simon.floery@rechenraum.com>
	* added missing GUI element in preferences dialog (migrated GtkOptionMenu
		to GtkComboBox in Numbers tab)
	* fixed integer parsing rule in flex parser (thanks to John Williams, fixes
		sf.net #74)
	* working around bug with window resizing, I assume this was GTK's fault
		(general_functions.c, set_window_size_minimal)
	* removed deprecated calls to set color on color buttons
	* fixed decimal separator on keypad (thanks to cyberpatrol and qwertypoke,
		fixes sf.net #86)
	* config file stored according to XDG spec (thanks to Eric Heintzmann, fixes
		sf.net #88)

2012-11-08 Simon Flöry <simon.floery@rechenraum.com>
	* applied patch to update spec file for RPM (thanks to Dwigth Engen)

##############################################
# 2009-10-15 galculator 2.0 released         #
##############################################

2012-10-13 Simon Flöry <simon.floery@rechenraum.com>
	* fixed bug in display_result_backspace in display.c (thanks to tjbp)
	* moved call to remember_display_values from ui_classic_view_create
		to main, to restore remember display value functionality
	* Improved pasting of numbers in scientific notation (e.g. 1e-4, 
		thanks to stevefranks for reporting)

2012-09-24 Simon Flöry <simon.floery@rechenraum.com>
	* removed gtk_key_snooper_install for GTK3
	* made factorial more robust (thanks to Nick Warne)
	* GALCULATOR_CONFIG environment variable may be used to set a user
		defined location of the configuration file (thanks to Richard Gill)
	* adding -lm (thanks to Tomas Mraz and Alexandre Rostovtsev)

2012-09-21 Simon Flöry <simon.floery@rechenraum.com>
	* making --enable-gtk3 default for configure
	* replaced three deprecated GTK calls

2012-09-19 Simon Flöry <simon.floery@rechenraum.com>
	* added zh_CN, da_DK, kk_KZ and sv locale (thanks to Athurg Gooth, Joakim  Seeberg, Baurzhan Muftakhidinov and Daniel Nylander)
	* added plenty of GTK_WIDGET macro casts to get rid of some compilation warnings

2012-09-18 pcmanx
	* removed libglade dependancies
	* Correct installation paths of icons
 	* Port to gtk+ 3 (--enable-gtk3 configure option)
	* added zh_TW locale

##############################################
# 2009-02-08 galculator 1.3.4 released       #
##############################################

2009-02-08 Simon Flöry <chimaira@users.sf.net>
	* src/display.c: fixed display_result_toggle_sign for EE (closes sf.net
		#2570283).
	* pixmaps: renamed galculator_48x48.png to galculator.png (closes sf.net
		#2496411, thanks to Marco for reporting)
	* src/flex_parser.l: parser allows both '.' and ',' as decimal point
		(closes Debian BTS #513232, thanks to Mario for reporting)
	* applied 01_hildon_interface.patch from ubuntu (closes sf.net #1831261,
		thanks to Marco for reporting)
	* pixmaps: added galculator.xpm

##############################################
# 2009-01-11 galculator 1.3.3 released       #
##############################################

2009-01-11 Simon Flöry <chimaira@users.sf.net>
	* galculator.desktop.in: new version (closes sf.net #2496411, 
		thanks to Marco)
	* src/general_functions.c: workaround for numerical issues (closes sf.net
		#2496461, Debian BTS #459456)
	* src/callbacks.c: main_window resizes to minimum after changing views
		(thanks to Christian for reporting)

##############################################
# 2009-01-06 galculator 1.3.2 released       #
##############################################

2009-01-06 Simon Flöry <chimaira@users.sf.net>
	* galculator.desktop.in: use galculator icon (patch by Omair, thanks; fixes
		also Debian BTS #487177)
	* src/Makefile.am, pixmaps/Makefile.am: put galculator icon in pixmaps
		and not in pixmaps/galculator (patch by Omair, thanks)
	* ui/main_frame.glade: about icon (patch by Omair, thanks)
	* src/main.c: show main window after it was created (fixes sf.net #2286315,
		#1821281, thanks to Paul for reporting)
	* src/main.c: key_snooper adapted to paper mode (thanks to Peter and
		Les for reporting, fixes sf.net #1874108)
	* src/general_functions.c: prefs_sep_char_changed changed to prevent 
		segfault in paper mode
	* src/ui.c, src/callbacks.c: removed check-resize signal handler (fixes
		sf.net #2055644, thanks to Aanjhan for reporting)
	* src/callbacks.c: fixed LP64 warnings (patch by Christian, thanks)
	* po/pt.po: added Portugese translation (thanks to Marco)
	* src/general_functions.c: Set tooltips properly when changing to RPN mode
		(fixes sf.net #1849320)
	* src/display.c: +/- display and internal sync (fixes sf.net #1857743 and
		#1869931, thanks to Benjamin for reporting)
	* src/flex.l: floating point numbers and decimals now as proposed by flex
		manual (thanks to Ferdinand)
		
##############################################
# 2007-09-28 galculator 1.3.1-win32 released #
##############################################

2007-09-28 Simon Flöry <chimaira@users.sf.net>
	* src/callbacks.h and src/display.h: all callbacks and signal handlers
		got G_MODULE_EXPORT (win32 compatibility, closes sf.net 1804428,
		thanks to Michael for reporting)
	* ui/main_frame.glade: commented some entries to ensure meet gtk 2.6
		requirement (closes sf.net 1804428,	thanks to Michael for reporting)

########################################
# 2007-09-27 galculator 1.3.1 released #
########################################

2007-09-27 Simon Flöry <chimaira@users.sf.net>
	* configure.in: check if $MSGFMT is set. closes sf.net 1803786

2007-09-08 Simon Flöry <chimaira@users.sf.net>
	* src/callbacks.c: escape input string for proper display (thanks to 
		Christian for reporting)
	* src/display.c: fixed display_result_line bug in RPN mode (thanks to
		Christian for reporting)
	* src/ui.c: paper mode entry gets keyboard focus

########################################
# 2007-09-05 galculator 1.3.0 released #
########################################

2007-09-05 Simon Flöry <chimaira@users.sf.net>
	* ui/prefs.glade: fixed name of hex bit spin, closes sf.net 1788678

2007-09-04 Simon Flöry <chimaira@users.sf.net>
	* general_functions.c: renamed gdk_color_to_string to 
		convert_gdk_color_to_string for compability with gdk version >= 2.12
		which features that function (name) by itself. Closes Debian BTS
		#440844 and #440845, thanks to Stephan for reporting.
	* general_functions.c: string_add_separator bugfix, now we stop at
		exponent. closes sf.net 1479269.
	* display.c: display value is now stored in double as well which gives
		us much better precision. closes sf.net 1479279
	* flex_parser.l: fixed some compiler warnings
	* pixmaps/*: created a basic icon for galculator. closes sf.net 1726031 
		and sf.net 1702178
	* po/ru.po: added Russian locale, closes sf.net 1736900

2006-04-09 Simon Flöry <chimaira@users.sf.net>
	* callbacks.c: invisible buttons/menuitems still have working accels
		(signal can-activate-accel) (fixes sf.net #1214786)

2006-04-01 Simon Flöry <chimaira@users.sf.net>
	* fixed build process (use automake1.9 from now on) (thanks to
		Christian)
	* released version 1.2.5.2 based on status of code at 1.2.5.1 with
		above fix.
	* ui/prefs.glade, src/callbacks.c, src/ui.c, src/general_functions.c: 
		use GtkColorButton and GtkFontButton instead of homegrown 
		color and font buttons
	* src/display.c and more: preferences in paper mode work.

2006-03-26 Simon Flöry <chimaira@users.sf.net>
	* src/ui.c: set_all_normal_buttons_tip (fixes sf.net 1214786)
	* +/- got accelerator
	
2006-03-22 Simon Flöry <chimaira@users.sf.net>
	* src/ui.c: use g_object_unref instead of g_free to unref glade_xml
		(fixes Debian BTS #358064 and sf.net 1442849)
	* src/*: sed -i 's/2004/2006/g' *
	* released version 1.2.5.1 based on status of code at 1.2.5 with
		above two changes.

2005-11-24 Simon Flöry <chimaira@users.sf.net>
	* ng_view updates radio box based menus
	* "ng mode" -> "paper mode"

2005-11-21 Simon Flöry <chimaira@users.sf.net>
	* ng_view gets some basic number base and angle base functionality
	* ng_view updates menus

2005-11-21 Simon Flöry <chimaira@users.sf.net>
	* ng_view gets some tuning

2005-11-19 Simon Flöry <chimaira@users.sf.net>
	* ng_view gets some major improvements
	
2005-11-18 Simon Flöry <chimaira@users.sf.net>
	* ng_view gets on its way

2005-11-17 Simon Flöry <chimaira@users.sf.net>
	* added es_MX translation (thanks to eduardo)
	* reorganize set prefs code, seperate code into classic_view

2005-07-11 Simon Flöry <chimaira@users.sf.net>
	* updated German translation (thanks to Jens)
	* added Slovakian translation (thanks to Peter)

2005-07-08 Simon Flöry <chimaira@users.sf.net>
	* gcc4 compatibility

2005-05-10 Simon Flöry <chimaira@users.sf.net>
	* configure.in: added libtool to build process
	* src/*.[ch]: 2004 replaced by 2005

########################################
# 2005-05-09 galculator 1.2.5 released #
########################################

2005-05-06 Simon Flöry <chimaira@users.sf.net>
	* ui/scientific_buttons.glade: hex buttons with shift modifiers

2005-05-05 Simon Flöry <chimaira@users.sf.net>
	* src/Makefile.am: added galculator_LDFLAGS = -export-dynamic
		(thanks to Jim)

2004-11-09 Simon Flöry <chimaira@users.sf.net>
	* configure.in: removed perl XML::Parser dependancy (thanks to
		Christian)

2004-11-07 Simon Flöry <chimaira@users.sf.net>
	* callbacks.c: on_paste_activate CTRL-V in formula entry (small bugfix)
	* updated ja.po

2004-10-22 Simon Flöry <chimaira@users.sf.net>
	* general_functions.c: lower_bin_string in axtof (small bugfix)
	* callbacks.c: on_number_button_clicked missing brackets (small bugfix)
	* callbacks.c: on_paste_activate check for NULL pointer (small bugfix)

########################################
# 2004-10-21 galculator 1.2.4 released #
########################################

2004-10-19 Simon Flöry <chimaira@users.sf.net>
	* display.c, callbacks.c, general_functions.c: separator bugfixes

2004-10-17 Simon Flöry <chimaira@users.sf.net>
	* config_file.c: strings in config file are now enclosed by "s
	* display.c, callbacks.c: separator finetuning

2004-10-16 Simon Flöry <chimaira@users.sf.net>
	* finalized GUI integration for separators

2004-09-27 Simon Flöry <chimaira@users.sf.net>
	* bugfix in string_add_separator
	* display_set_line is single display modifier in display.c
	* finnished separator stuff in display.c
	* preferences GUI for separator stuff
	* general_functions.c: binary infinity display bug fixed
		(add_leading_zeros)

2004-09-26 Simon Flöry <chimaira@users.sf.net>
	* made display_result_add_digit use display_result_set
	
2004-09-11 Simon Flöry <chimaira@users.sf.net>
	* string_add_separator, string_del_separator
	* config_file.c: separator config options

2004-07-11 Simon Flöry <chimaira@users.sf.net>
	* added Romanian translation (thanks to cosma)

2204-07-01 Simon Flöry <chimaira@users.sf.net>
	* updated pt_BR.po

2004-06-19 Simon Flöry <chimaira@users.sf.net>
	* src/general_functions.c: check for NULL pointers in 
		formula_entry_is_active. fixes sf.net #971328.
		(thanks to michal)
	* added polish translation. sf.net #971335 (thanks to michal)

########################################
# 2004-05-23 galculator 1.2.3 released #
########################################

2004-05-23 Simon Flöry <chimaira@users.sf.net>
	* src/callback.c: CON and MR buttons push display value all the time
		(thanks to christian)
	* src/calc_basic.c: '=' closes now all open brackets
	
2004-05-22 Simon Flöry <chimaira@users.sf.net>
	* ui/main_frame.glade: fixed "destroy" signal bug (thanks to andrew)
	* galculator.desktop.in: updates (thanks to dag)
	* src/ui.c, src/callbacks.c: disable MR and M+ button until there is 
		sth to display (thanks to christian)

2004-04-19 Simon Flöry <chimaira@users.sf.net>
	* updated ja.po and pt_BR.po

########################################
# 2004-04-01 galculator 1.2.2 released #
########################################

2004-04-01 Simon Flöry <chimaira@users.sf.net>
	* bugfix: inv, hyp button in form mode release (thanks to christian)
	* bugfix: rolldn, swapxy start new entry now (thanks to christian)
	* 0e+ -> 1e+ shortcut
	* bugfix: angle units in formula entry mode (thanks to andrew)
	* bugfix: add -> sum tooltip for translations (thanks to takeshi)
	* updated ja.po, de.po

########################################
# 2003-03-20 galculator 1.2.1 released #
########################################

2004-03-20 Simon Flöry <chimaira@users.sf.net>
	* enable nested calls of flex_parser
	* fixed default user defined functions
	* error handling for flex_parser calls

2004-03-19 Simon Flöry <chimaira@users.sf.net>
	* calc_basic.c: ALG_OBJECT

2004-03-17 Simon Flöry <chimaira@users.sf.net>
	* implemented parser with flex
	* modified build process for flex
	* parser part - user defined functions

2004-03-14 Simon Flöry <chimaira@users.sf.net>
	* fixed stack lifting in RPN mode (thanks to Christian)
	* GUI part - for user defined functions

2004-03-12 Simon Flöry <chimaira@users.sf.net>
	* fixed general functions (brackets, rpn roll-swap) bug
	* pt_BR.po update

########################################
# 2004-03-11 galculator 1.2.0 released #
########################################

2004-03-11 Simon Flöry <chimaira@users.sf.net>
	* updated ja.po, pt_BR.po

2004-02-28 Simon Flöry <chimaira@users.sf.net>
	* updated de.po
	
2004-02-27 Simon Flöry <chimaira@users.sf.net>
	* formula entry turns red on syntax error
	* parser improvements

2004-02-26 Simon Flöry <chimaira@users.sf.net>
	* improved parser: factorial, complement

2004-02-18 Simon Flöry <chimaira@users.sf.net>
	* improved parser: functions, whitespaces, constants

2004-02-17 Simon Flöry <chimaira@users.sf.net>
	* check end_ptr in strtods.

2004-02-02 Simon Flöry <chimaira@users.sf.net>
	* basic implemenation of a parser for formula entry mode

2004-02-01 Simon Flöry <chimaira@users.sf.net>
	* right mouse button click brings popup menu to control "Show menu bar"

2004-01-31 Simon Flöry <chimaira@users.sf.net>
	* GUI integration of formula entry mode

2003-12-31 Simon Flöry <chimaira@users.sf.net>
	* fixed DBTS #220857 (tooltips in RPN mode)

2003-11-21 Simon Flöry <chimaira@users.sf.net>
	* patch: lower hex chars to upper chars (thanks to Remi)
	
2003-11-15 Simon Flöry <chimaira@users.sf.net>
	* patch galculator.spec.in (thanks to Filippo)

2003-11-14 Simon Flöry <chimaira@users.sf.net>
	* fixed sf.net #841527 (typo in de.po)

########################################
# 2003-11-10 galculator 1.1.4 released #
########################################

2003-11-09 Simon Flöry <chimaira@users.sf.net>
	* RPN stack is remembered. several fixes
	* fixed DBTS #219390 (fixed de.po)
	* updated french and german translations
	* fixed sf.net #820399 (added p,P shortcuts)

	* introduced display_result_changed. fixes sf.net bug #750519
2003-10-07 Simon Flöry <chimaira@users.sf.net>	

2003-09-23 Simon Flöry <chimaira@users.sf.net>
	* agreed to and fixed sf.net bug #799417 (memory save, memory read and
	constant retrieve start new calc entry)

2003-09-20 Simon Flöry <chimaira@users.sf.net>
	* sf.net bug #798511 fixed

2003-09-19 Simon Flöry <chimaira@users.sf.net>
	* RPN updates: rolldown stack, swap xy on stack 
	(satifies sf.net fr #799397 and DBTS #202633)

2003-09-18 Simon Flöry <chimaira@users.sf.net>
	* src/display.c: display RPN stack
	
2003-09-11 Simon Flöry <chimaira@users.sf.net>
	* ui/prefs.galde: added (in)finite RPN stack option, naturally updates
	to config code, etc.
	* applied patches (c cleanups, IBM compiler) by albert. Thanks!

2003-09-09 Simon Flöry <chimaira@users.sf.net>
	* src/calc_basic.c: finite/infinite stack, swap x y, rolldown stack

########################################
# 2003-08-31 galculator 1.1.3 released #
########################################

2003-08-31 Simon Flöry <chimaira@users.sf.net>
	* ja.po translation update

2003-08-26 Simon Flöry <chimaira@users.sf.net>
	* fr.po translation update

2003-08-25 Simon Flöry <chimaira@users.sf.net>
	* display control buttons in scientific resp basic mode.
	* de.po translation update

2003-08-20 Simon Flöry <chimaira@users.sf.net>
	* number, angle and notation are remembered on exit. no defaults anymore

2003-08-18 Simon Flöry <chimaira@users.sf.net>
	* src/callbacks.c: fixed token.func bug (closes DBTS #205126)
	* GUI updates (y^x in RPN, change font for "popup buttons")
	* src/display.c: fixed order of init notation and rem_value (closes
	sf.net #778572)

2003-07-25 Simon Flöry <chimaira@users.sf.net>
	* added basic mode
	* updates to scientific mode

2003-07-17 Simon Flöry <chimaira@users.sf.net>
	* asinh, acosh, atanh

2003-07-04 Simon Flöry <chimaira@users.sf.net>
	* src/callbacks.c: GtkSizeGroup for preferences dialog
	* fix length to multiple of k in binary mode (fill with zeros)
	(closes sf.net fr #760390)
	* src/calc_basic.c: percent operation

########################################
# 2003-07-06 galculator 1.1.2 released #
########################################

2003-07-05 Simon Flöry <chimaira@users.sf.net>
	* updated french translation (thanks to seb128)

2003-07-02 Simon Flöry <chimaira@users.sf.net>
	* src/calc_basic.c: complete rewrite

2003-06-26 Simon Flöry <chimaira@users.sf.net>

	* src/display.c: fixed display_length bug (e.g. only one HEX char after
	startup)

2003-06-24 Simon Flöry <chimaira@users.sf.net>

	* added french translation (fr.po). thanks to seb128
	* src/main.c: restricted key_snooper to main_window to get a working
	keypad in preferences dialog etc.
	* src/general_functions.c: gcc-2.95 fix
	(closes sf.net #759830)
	* src/main.c: check main_window_xml for NULL and abort with an error
	message.

########################################
# 2003-06-23 galculator 1.1.1 released #
########################################

2003-06-23 Simon Flöry <chimaira@users.sf.net>

	* specify bit length/signed for hex, oct and bin mode 
	(closes DBTS #197490)
	* src/callbacks.c: fixed bug in interface preferences dialog <-> 
	font/color dialogs
	* src/general_functions.c: position_menu works with GTK 2.0 again

########################################
# 2003-06-22 galculator 1.1.0 released #
########################################

2003-06-18  Simon Flöry <chimaira@users.sf.net>

	* changed Changelog format
	* src/display.c: removed mark_result_[start | end] in order to remove
	newline if there are no modules.
	* src/callbacks.c: X selection pasting works again

09-06-2003 constants popup, user defined constants
	memory popups
03-06-2003 improved keypad support
26-05-2003 i18n
12-05-2003 instant apply pref dialog (plus additional HIGs)
11-05-2003 moved to libglade
	paste numbers with mouse middle button click
	button activation and signals: bug fixes
30-04-2003 added KP_Delete and KP_Separator to key_snooper
	removed statusbar from GUI

24-04-2003 galculator 1.0 released
==================================

21-04-2003 fixed resizing problems with last_arith and bracket modules
20-04-2003 useless buttons are greyed out depending on current mode
	added Categories to galculator.desktop
	GUI updates (first small step towards HIG)
	use default/custom button font
19-04-2003 it's possible to save the display value on exit
13-04-2003 key press activates button like mouse click
06-04-2003 color button got a viewport
03-04-2003 in RPN mode enter button gets an "ENT" label
30-03-2003 fixed not working sqrt button

29-03-2003 galculator 1.0rc1 released
=====================================

29-03-2003 fixed bug #186694
20-03-2003 fixes to display code
18-03-2003 fixes to display modules' code
17-03-2003 removed any specific command line options
	applied "non-gcc" patches (thanks to Brandon)
	updated man page
15-03-2003 new color button
10-03-2003 big accessibility improvement patch by Maik
	GUI updates
09-03-2003 GUI fixes (border width <-> row/col spacing)
	complete display code rewrite (tables --> gtk_widget_get_pointer)
07-03-2003 added "last arithmetic" and "open brackets" display modules
04-03-2003 new behaviour for two successive arithmetic operation button clicks:
	past: 10+*10 = 10 + 10 * 10 = 110
	now:  10+*10 = 10 + 10 = 20 (only first operation counts)
01-03-2003 GUI updates (thanks to Maik)
28-02-2003 new display organisation (modules)
	memory buttons' tooltips show current memory value
	Shortcut for Hide/Unhide Menubar
26-02-2003 preferences dialog
	settings are saved to a configuration file
	some additional shortcuts
	a lot of tooltips
13-02-2003 new display code
24-01-2003 fixed 0%0 bug
23-01-2003 fixed negative number conversion bug (conversion.patch)

19-01-2003 galculator 0.9 released
==================================

17-01-2003 fixed grave calc_tree bug
04-01-2003 cleaned up building process
	man page
03-01-2003 using locale's decimal point
	final display aspects (infinity, display_lengths)
29-11-2002 introduced command line arguments
	change button size
	change font
28-11-2002 negative number support in hex/oct/bin
21-11-2002 AND, OR and XOR operations added to calc_basic
	CMP function added to math_functions
	Set Button group visibility ([menu]Settings->Show Buttons)
20-11-2002 display capabilities update for DEC/HEX/OCT/BIN
19-11-2002 char <-> double converting (dec/hex/oct/bin)
15-11-2002 support for radiant, degree and grad
	the INV and HYP button can't be activated both at the same time (there is no asinh!)
	added mod and lsh operation

14-11-2002 galculator 0.8 released
==================================

05-11-2002 display ok and working
25-10-2002 angle unit conversion working
	improved display
18-10-2002 modified autogen.sh to pass argument --copy to automake [thanks to james (james@and.org)]
	buttons resize now [thanks to james (james@and.org)] 
10-10-2002 added RPN support
03-10-2002 added spec and gnome menu file [thanks to Victor (gbs@tnss.kharkov.ua)]

02-10-2002 initial galculator 0.7 release
=========================================
